## org.metaabm.function
Interface FMultiArgumentPrototype

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FArgumentPrototype, IID, ITyped, org.eclipse.emf.common.notify.Notifier, SNamed

All Known Implementing Classes:
  FMultiArgumentPrototypeImpl

    public interface FMultiArgumentPrototype

extends FArgumentPrototype

A representation of the model object ' FMulti Argument Prototype'.

See Also:
  `MetaABMFunctionPackage.getFMultiArgumentPrototype()`

Method Summary

Methods inherited from interface org.metaabm.function.FArgumentPrototype
`accepts, getInputFunction, getOutputFunction, isOptional, setInputFunction, setOptional, setOutputFunction`

Methods inherited from interface org.metaabm.ITyped
`getSType, setSType`

Methods inherited from interface org.metaabm.SNamed
`getDescription, getPluralLabel, references, setDescription, setPluralLabel`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`